SUMMARY = "Dummy device-tree"
DESCRIPTION = "Dummy device-tree, to be selected as the preferred \
provider for virtual/dtb to satisfy dependencies for situations \
where you wish to build the device-tree externally from the build system."
SECTION = "bsp"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://${WORKDIR}/COPYING.GPL;md5=751419260aa954499f7abaabaa882bbe"

PROVIDES += "virtual/dtb"

#PACKAGES_DYNAMIC += "^kernel-module-.*"
#PACKAGES_DYNAMIC += "^kernel-image-.*"
#PACKAGES_DYNAMIC += "^kernel-firmware-.*"

PACKAGES += "device-tree"
FILES_device-tree = ""
ALLOW_EMPTY_device-tree = "1"
DESCRIPTION_device-tree = "device-tree meta package"

INHIBIT_DEFAULT_DEPS = "1"

#COMPATIBLE_MACHINE = "your_machine"

PR = "r1"

SRC_URI = "file://COPYING.GPL"
S = "${WORKDIR}"

do_configure() {
	# ignore all do_configure_append
	exit 0
}

do_compile () {
	:
}

do_shared_workdir () {
	:
}

do_install() {
	:
}

do_bundle_initramfs() {
	:
}

do_deploy() {
	:
}

addtask bundle_initramfs after do_install before do_deploy
addtask deploy after do_install
addtask shared_workdir after do_compile before do_install
