#
# This file is the copy-emmcp2 recipe.
#

SUMMARY = "Simple copy-emmcp2 application"
SECTION = "PETALINUX/core"
LICENSE = "GPLv3+"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891"

SRC_URI = "file://copy-emmcp2 \
		  "

S = "${WORKDIR}"

FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

inherit update-rc.d
INITSCRIPT_NAME = "copy-emmcp2"
INITSCRIPT_PARAMS = "start 10 S ."

do_install() {
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${S}/copy-emmcp2 ${D}${sysconfdir}/init.d/copy-emmcp2
}
FILES_${PN} += "${sysconfdir}/*"
