#
# This file is the diot-version recipe.
#

SUMMARY = "Put the build information into /etc/version.diot"
SECTION = "PETALINUX/core"
LICENSE = "GPLv3+"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891"

S = "${WORKDIR}"

do_compile() {
	echo "HW version:    ${SB_VER}"                 > ${S}/version.diot
	echo "GIT commit id: ${GIT_VER}"                >> ${S}/version.diot
	echo "Built by:      ${GIT_USR}"                >> ${S}/version.diot
	echo "Build date:    `date +%Y.%m.%d-%H:%M:%S`" >> ${S}/version.diot
}

do_install() {
	install -d ${D}${sysconfdir}
	install -m 0644 ${S}/version.diot    ${D}${sysconfdir}/
}

FILES_${PN} += "${sysconfdir}/version.diot"
