SUMMARY = "Dummy u-boot"
DESCRIPTION = "Dummy u-boot, to be selected as the preferred \
provider for virtual/bootloader to satisfy dependencies for situations \
where you wish to build the u-boot externally from the build system."
SECTION = "bsp"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://${WORKDIR}/COPYING.GPL;md5=751419260aa954499f7abaabaa882bbe"

PROVIDES += "virtual/bootloader"

PACKAGES += "u-boot"
FILES_u-boot = ""
ALLOW_EMPTY_u-boot = "1"
DESCRIPTION_u-boot = "u-boot meta package"

INHIBIT_DEFAULT_DEPS = "1"

#COMPATIBLE_MACHINE = "your_machine"

PR = "r1"

SRC_URI = "file://COPYING.GPL"
# remove files added by meta-plnx-generated
SRC_URI_remove = "file://config.cfg file://platform-auto.h"
S = "${WORKDIR}"

do_configure() {
	# ignore all do_configure_append
	exit 0
}

do_compile () {
	:
}

do_shared_workdir () {
	:
}

do_install() {
	:
}

do_bundle_initramfs() {
	:
}

do_deploy() {
	:
}

addtask bundle_initramfs after do_install before do_deploy
addtask deploy after do_install
addtask shared_workdir after do_compile before do_install
